Home of the Squeezebox™ & Transporter® network music players.
Page 1 of 3 123 LastLast
Results 1 to 10 of 24
  1. #1
    Senior Member Tony T's Avatar
    Join Date
    Nov 2009
    Posts
    1,147

    You seem to be using a Radio with an outdated firmware….

    Setting up a LMS with piCorePlayer (which is using LMS 8.0) and getting the message (SB Radio):
    "You seem to be using a Radio with an outdated firmware, not recognizing this version of Logitech Media Server. Please consider patching it."

    Followed the instructions to install the "Version Comparison Fix", but still getting the message.



    ——————————

    SB Radio and Logitech Media Server 8+

    Unfortunately the latest Squeezebox Radio firmware (7.7.3) comes with a bug which prevents it from connecting correctly to Logitech Media Server 8+. It's version string comparison function fails to recognize 8.0.0 as more recent than 7.7.3. While the bug has been fixed years ago, the fixed firmware never got released. Unfortunately we're at this point not able to build a fixed firmware for distribution.

    But there's a patch available, which you can easily install on an existing SB Radio:

    On the Radio go to Settings/Advanced/Applet Installer, install the Patch Installer. The Radio will re-boot.
    Once it's back, go to Settings/Advanced/Patch Installer and install the "Version Comparison Fix".
    When done patching all Radios you might need to restart Logitech Media Server to make the warning go away.
    Enjoy the music on your SB Radio
    Tony
     SBTouch ♪ SBRadio ♬

  2. #2
    Senior Member
    Join Date
    Jan 2010
    Location
    Hertfordshire
    Posts
    6,840
    Quote Originally Posted by Tony T View Post
    Setting up a LMS with piCorePlayer (which is using LMS 8.0) and getting the message (SB Radio):
    "You seem to be using a Radio with an outdated firmware, not recognizing this version of Logitech Media Server. Please consider patching it."

    Followed the instructions to install the "Version Comparison Fix", but still getting the message.



    ——————————

    SB Radio and Logitech Media Server 8+

    Unfortunately the latest Squeezebox Radio firmware (7.7.3) comes with a bug which prevents it from connecting correctly to Logitech Media Server 8+. It's version string comparison function fails to recognize 8.0.0 as more recent than 7.7.3. While the bug has been fixed years ago, the fixed firmware never got released. Unfortunately we're at this point not able to build a fixed firmware for distribution.

    But there's a patch available, which you can easily install on an existing SB Radio:

    On the Radio go to Settings/Advanced/Applet Installer, install the Patch Installer. The Radio will re-boot.
    Once it's back, go to Settings/Advanced/Patch Installer and install the "Version Comparison Fix".
    When done patching all Radios you might need to restart Logitech Media Server to make the warning go away.
    Enjoy the music on your SB Radio
    Did you restart LMS like it says in the instructions?

    Sent from my Pixel 3a using Tapatalk

  3. #3
    Senior Member Tony T's Avatar
    Join Date
    Nov 2009
    Posts
    1,147
    Quote Originally Posted by slartibartfast View Post
    Did you restart LMS like it says in the instructions?

    Sent from my Pixel 3a using Tapatalk
    Yes
    Tony
     SBTouch ♪ SBRadio ♬

  4. #4
    Senior Member
    Join Date
    Jan 2010
    Location
    Hertfordshire
    Posts
    6,840
    Quote Originally Posted by Tony T View Post
    Yes
    Strange. If the patch is definitely installed try restarting LMS again.

    Sent from my Pixel 3a using Tapatalk

  5. #5
    Senior Member Tony T's Avatar
    Join Date
    Nov 2009
    Posts
    1,147
    Quote Originally Posted by slartibartfast View Post
    Strange. If the patch is definitely installed try restarting LMS again.

    Sent from my Pixel 3a using Tapatalk
    Patch installed. Uninstalled and Reinstalled, Restarted LMS. Rebooted Radios, No luck.
    Tony
     SBTouch ♪ SBRadio ♬

  6. #6
    Senior Member kidstypike's Avatar
    Join Date
    Feb 2007
    Location
    Brindle
    Posts
    4,519
    Quote Originally Posted by Tony T View Post
    Patch installed. Uninstalled and Reinstalled, Restarted LMS. Rebooted Radios, No luck.
    Exactly the same here, can only uninstall the patch that I installed months ago.

    Name:  patch.jpg
Views: 286
Size:  20.3 KB
    Server - LMS 8.2.0 Pi4B 4GB/Argon one case/pCP v7.0.1 - 75K library, playlists & LMS cache on SSD (ntfs)
    Study - Pi4/pCP 7.0.1/Topping E30 DAC/Ruark MR1 Mk2
    Lounge - Pi2/pCP 6.0.0 > HiFiBerry DIGI+ > AudioEngine DAC1 > AVI DM5
    Dining Room - Pi3B/pCP/Bluetooth/Echo Show 8
    Garage - DAC32 > Edifier speakers

    Spares - 2xTouch, 1xSB Radio. 1xSB3, 6xRPi

  7. #7
    Senior Member
    Join Date
    Jan 2010
    Location
    Hertfordshire
    Posts
    6,840
    Quote Originally Posted by kidstypike View Post
    Exactly the same here, can only uninstall the patch that I installed months ago.

    Name:  patch.jpg
Views: 286
Size:  20.3 KB
    Is that new behaviour?

    Sent from my Pixel 3a using Tapatalk

  8. #8
    Senior Member kidstypike's Avatar
    Join Date
    Feb 2007
    Location
    Brindle
    Posts
    4,519
    Quote Originally Posted by slartibartfast View Post
    Is that new behaviour?
    No, weeks/a couple of months?

    You know I installed the patch as we were among the first to discover the problem . .https://forums.slimdevices.com/showt...l=1#post962422

    Radio still works, no problem, just get the message at LMS > Settings > Information.
    Last edited by kidstypike; 2020-07-03 at 13:34.
    Server - LMS 8.2.0 Pi4B 4GB/Argon one case/pCP v7.0.1 - 75K library, playlists & LMS cache on SSD (ntfs)
    Study - Pi4/pCP 7.0.1/Topping E30 DAC/Ruark MR1 Mk2
    Lounge - Pi2/pCP 6.0.0 > HiFiBerry DIGI+ > AudioEngine DAC1 > AVI DM5
    Dining Room - Pi3B/pCP/Bluetooth/Echo Show 8
    Garage - DAC32 > Edifier speakers

    Spares - 2xTouch, 1xSB Radio. 1xSB3, 6xRPi

  9. #9
    Senior Member
    Join Date
    Jan 2010
    Location
    Hertfordshire
    Posts
    6,840
    Quote Originally Posted by kidstypike View Post
    No, weeks/a couple of months?

    You know I installed the patch as we were among the first to discover the problem . .https://forums.slimdevices.com/showt...l=1#post962422

    Radio still works, no problem, just get the message at LMS > Settings > Information.
    Have you had the issue since then?

    Sent from my Pixel 3a using Tapatalk

  10. #10
    Senior Member kidstypike's Avatar
    Join Date
    Feb 2007
    Location
    Brindle
    Posts
    4,519
    Quote Originally Posted by slartibartfast View Post
    Have you had the issue since then?
    No, just a few weeks.
    Server - LMS 8.2.0 Pi4B 4GB/Argon one case/pCP v7.0.1 - 75K library, playlists & LMS cache on SSD (ntfs)
    Study - Pi4/pCP 7.0.1/Topping E30 DAC/Ruark MR1 Mk2
    Lounge - Pi2/pCP 6.0.0 > HiFiBerry DIGI+ > AudioEngine DAC1 > AVI DM5
    Dining Room - Pi3B/pCP/Bluetooth/Echo Show 8
    Garage - DAC32 > Edifier speakers

    Spares - 2xTouch, 1xSB Radio. 1xSB3, 6xRPi

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •